Summary:     	A tag plugin for the Thunar File Manager
Summary(de):	Eine Erweiterung zum Setzen von ID3/OGG Tags für Thunar
Name: 		thunar-media-tags-plugin
Version: 	0.4.0
Release: 	%mkrel 1
License:	GPL
URL:        https://git.xfce.org/thunar-plugins/thunar-media-tags-plugin/
Source0: 	%{name}-%{version}.tar.xz
Group: 		Graphical desktop/XFCE

BuildRequires:  taglib-devel
BuildRequires:	 lib64glib2.0-devel
BuildRequires:	 lib64gtk+3.0-devel
BuildRequires:	 lib64exo-devel
BuildRequires:	 lib64thunarx-devel

Provides:	%{name} = %{version}
Obsoletes:	%name < %version
Requires:	thunar
Requires:	taglib

BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
The thunar-media-tags-plugin is a plugin for the Thunar File Manager, 
which adds ID3/OGG tag support to the bulk rename dialog. 

%description -l de
thunar-media-tags-plugin ist eine Erweiterung für den Thunar Dateimanager,
die ID3/OGG Tag Unterstützung zum bulk-Umbennen-Dialog hinzufügt.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x  --prefix=/usr --disable-debug --enable-maintainer-mode --disable-static

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%clean_menus &> /dev/null ||:''
%clean_desktop_database &> /dev/null ||:''
%clean_mime_database &> /dev/null ||:''
%clean_icon_cache hicolor


%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/thunarx-3/*


%changelog
* Tue Feb 07 2023 tex - 0.4.0-1pclos2023
- new version

* Mon Aug 22 2022 tex - 0.3.0-12pclos2022
- fix rpm group

* Fri Nov 22 2019 tex - 0.3.0-11pclos2019
- rebuild against updates
